ChunkReader.h File Reference

Header file for ChunkReader class. More...

`#include "ReaderBase.h"`
`#include <cmath>`
`#include <ctime>`
`#include <iostream>`
`#include <fstream>`
`#include <omp.h>`
`#include <QtCore/qdir.h>`
`#include <stdio.h>`
`#include <cstdlib>`
`#include <memory>`
`#include "Json.h"`
`#include "CacheMemory.h"`
`#include "Exceptions.h"`

Go to the source code of this file.

## Classes

struct | openshot::ChunkLocation
| This struct holds the location of a frame within a chunk. More...
class | openshot::ChunkReader
| This class reads a special chunk-formatted file, which can be easily shared in a distributed environment. More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Enumerations

enum | openshot::ChunkVersion { openshot::THUMBNAIL , openshot::PREVIEW , openshot::FINAL }
| This enumeration allows the user to choose which version of the chunk they would like (low, medium, or high quality). More...

## Detailed Description

Header file for ChunkReader class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file ChunkReader.h.